from flask import Flask

from aidso_geo.core.routes.dashboard import dashboard_app
from aidso_geo.core.routes.interface import line_app
from aidso_geo.core.routes.feishu_interface import feishu_app
from aidso_geo.core.routes.third_interface import third_app

app = Flask(__name__)
app.json.ensure_ascii = False

app.register_blueprint(line_app)
app.register_blueprint(third_app)
app.register_blueprint(feishu_app)
app.register_blueprint(dashboard_app)

if __name__ == '__main__':
    app.run(host='0.0.0.0', port=8086)